Index: lemon/concept_check.h
===================================================================
--- lemon/concept_check.h	(revision 1157)
+++ lemon/concept_check.h	(revision 1257)
@@ -59,5 +59,5 @@
 #if !defined(NDEBUG)
     void (Concept::*x)() = & Concept::constraints;
-    ignore_unused_variable_warning(x);
+    ::lemon::ignore_unused_variable_warning(x);
 #endif
   }
@@ -69,5 +69,5 @@
     typedef typename Concept::template Constraints<Type> ConceptCheck;
     void (ConceptCheck::*x)() = & ConceptCheck::constraints;
-    ignore_unused_variable_warning(x);
+    ::lemon::ignore_unused_variable_warning(x);
 #endif
   }
Index: lemon/concepts/digraph.h
===================================================================
--- lemon/concepts/digraph.h	(revision 1081)
+++ lemon/concepts/digraph.h	(revision 1258)
@@ -325,5 +325,5 @@
         /// This constructor sets the iterator to the first arc of \c g.
         ///@param g the digraph
-        ArcIt(const Digraph& g) { ignore_unused_variable_warning(g); }
+        ArcIt(const Digraph& g) { ::lemon::ignore_unused_variable_warning(g); }
         /// Arc -> ArcIt conversion
 
Index: lemon/concepts/graph.h
===================================================================
--- lemon/concepts/graph.h	(revision 704)
+++ lemon/concepts/graph.h	(revision 1257)
@@ -383,5 +383,5 @@
         /// This constructor sets the iterator to the first arc of \c g.
         ///@param g the graph
-        ArcIt(const Graph &g) { ignore_unused_variable_warning(g); }
+        ArcIt(const Graph &g) { ::lemon::ignore_unused_variable_warning(g); }
         /// Arc -> ArcIt conversion
 
@@ -432,6 +432,6 @@
         ///@param g the graph
         OutArcIt(const Graph& n, const Node& g) {
-          ignore_unused_variable_warning(n);
-          ignore_unused_variable_warning(g);
+          ::lemon::ignore_unused_variable_warning(n);
+          ::lemon::ignore_unused_variable_warning(g);
         }
         /// Arc -> OutArcIt conversion
@@ -484,6 +484,6 @@
         ///@param g the graph
         InArcIt(const Graph& g, const Node& n) {
-          ignore_unused_variable_warning(n);
-          ignore_unused_variable_warning(g);
+          ::lemon::ignore_unused_variable_warning(n);
+          ::lemon::ignore_unused_variable_warning(g);
         }
         /// Arc -> InArcIt conversion
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 1172)
+++ lemon/concepts/graph_components.h	(revision 1258)
@@ -109,5 +109,5 @@
 
           bool b;
-          ignore_unused_variable_warning(b);
+          ::lemon::ignore_unused_variable_warning(b);
 
           b = (ia == ib) && (ia != ib);
@@ -290,5 +290,5 @@
             ue = e;
             bool d = graph.direction(e);
-            ignore_unused_variable_warning(d);
+            ::lemon::ignore_unused_variable_warning(d);
           }
         }
@@ -369,7 +369,7 @@
 
           nid = digraph.maxNodeId();
-          ignore_unused_variable_warning(nid);
+          ::lemon::ignore_unused_variable_warning(nid);
           eid = digraph.maxArcId();
-          ignore_unused_variable_warning(eid);
+          ::lemon::ignore_unused_variable_warning(eid);
         }
 
@@ -424,5 +424,5 @@
           edge = graph.edgeFromId(ueid);
           ueid = graph.maxEdgeId();
-          ignore_unused_variable_warning(ueid);
+          ::lemon::ignore_unused_variable_warning(ueid);
         }
 
@@ -497,6 +497,6 @@
           _GraphItemIt it3 = it1;
           _GraphItemIt it4 = INVALID;
-          ignore_unused_variable_warning(it3);
-          ignore_unused_variable_warning(it4);
+          ::lemon::ignore_unused_variable_warning(it3);
+          ::lemon::ignore_unused_variable_warning(it4);
 
           it2 = ++it1;
@@ -588,6 +588,6 @@
           _GraphIncIt it3 = it1;
           _GraphIncIt it4 = INVALID;
-          ignore_unused_variable_warning(it3);
-          ignore_unused_variable_warning(it4);
+          ::lemon::ignore_unused_variable_warning(it3);
+          ::lemon::ignore_unused_variable_warning(it4);
 
           it2 = ++it1;
@@ -771,5 +771,5 @@
             n = digraph.baseNode(oait);
             n = digraph.runningNode(oait);
-            ignore_unused_variable_warning(n);
+            ::lemon::ignore_unused_variable_warning(n);
           }
         }
@@ -954,6 +954,6 @@
             = digraph.notifier(typename _Digraph::Arc());
 
-          ignore_unused_variable_warning(nn);
-          ignore_unused_variable_warning(en);
+          ::lemon::ignore_unused_variable_warning(nn);
+          ::lemon::ignore_unused_variable_warning(en);
         }
 
@@ -997,5 +997,5 @@
           typename _Graph::EdgeNotifier& uen
             = graph.notifier(typename _Graph::Edge());
-          ignore_unused_variable_warning(uen);
+          ::lemon::ignore_unused_variable_warning(uen);
         }
 
@@ -1071,7 +1071,7 @@
           // m3 = cmap;
 
-          ignore_unused_variable_warning(m1);
-          ignore_unused_variable_warning(m2);
-          // ignore_unused_variable_warning(m3);
+          ::lemon::ignore_unused_variable_warning(m1);
+          ::lemon::ignore_unused_variable_warning(m2);
+          // ::lemon::ignore_unused_variable_warning(m3);
         }
 
Index: lemon/concepts/heap.h
===================================================================
--- lemon/concepts/heap.h	(revision 1125)
+++ lemon/concepts/heap.h	(revision 1257)
@@ -199,6 +199,6 @@
           item=Item();
           prio=Prio();
-          ignore_unused_variable_warning(item);
-          ignore_unused_variable_warning(prio);
+          ::lemon::ignore_unused_variable_warning(item);
+          ::lemon::ignore_unused_variable_warning(prio);
 
           OwnItem own_item;
@@ -207,17 +207,17 @@
           own_item=Item();
           own_prio=Prio();
-          ignore_unused_variable_warning(own_item);
-          ignore_unused_variable_warning(own_prio);
-          ignore_unused_variable_warning(own_state);
+          ::lemon::ignore_unused_variable_warning(own_item);
+          ::lemon::ignore_unused_variable_warning(own_prio);
+          ::lemon::ignore_unused_variable_warning(own_state);
 
           _Heap heap1(map);
           _Heap heap2 = heap1;
-          ignore_unused_variable_warning(heap1);
-          ignore_unused_variable_warning(heap2);
+          ::lemon::ignore_unused_variable_warning(heap1);
+          ::lemon::ignore_unused_variable_warning(heap2);
 
           int s = heap.size();
-          ignore_unused_variable_warning(s);
+          ::lemon::ignore_unused_variable_warning(s);
           bool e = heap.empty();
-          ignore_unused_variable_warning(e);
+          ::lemon::ignore_unused_variable_warning(e);
 
           prio = heap.prio();
Index: lemon/concepts/maps.h
===================================================================
--- lemon/concepts/maps.h	(revision 1158)
+++ lemon/concepts/maps.h	(revision 1258)
@@ -61,8 +61,8 @@
           own_val = m[own_key];
 
-          ignore_unused_variable_warning(key);
-          ignore_unused_variable_warning(val);
-          ignore_unused_variable_warning(own_key);
-          ignore_unused_variable_warning(own_val);
+          ::lemon::ignore_unused_variable_warning(key);
+          ::lemon::ignore_unused_variable_warning(val);
+          ::lemon::ignore_unused_variable_warning(own_key);
+          ::lemon::ignore_unused_variable_warning(own_val);
         }
         const Key& key;
@@ -101,8 +101,8 @@
           m.set(own_key, own_val);
 
-          ignore_unused_variable_warning(key);
-          ignore_unused_variable_warning(val);
-          ignore_unused_variable_warning(own_key);
-          ignore_unused_variable_warning(own_val);
+          ::lemon::ignore_unused_variable_warning(key);
+          ::lemon::ignore_unused_variable_warning(val);
+          ::lemon::ignore_unused_variable_warning(own_key);
+          ::lemon::ignore_unused_variable_warning(own_val);
         }
         const Key& key;
Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 1125)
+++ lemon/concepts/path.h	(revision 1257)
@@ -67,5 +67,5 @@
       template <typename CPath>
       Path& operator=(const CPath& cpath) {
-        ignore_unused_variable_warning(cpath);
+        ::lemon::ignore_unused_variable_warning(cpath);
         return *this;
       }
@@ -127,10 +127,10 @@
           e = (i < ii);
 
-          ignore_unused_variable_warning(l);
-          ignore_unused_variable_warning(pp);
-          ignore_unused_variable_warning(e);
-          ignore_unused_variable_warning(id);
-          ignore_unused_variable_warning(ii);
-          ignore_unused_variable_warning(ed);
+          ::lemon::ignore_unused_variable_warning(l);
+          ::lemon::ignore_unused_variable_warning(pp);
+          ::lemon::ignore_unused_variable_warning(e);
+          ::lemon::ignore_unused_variable_warning(id);
+          ::lemon::ignore_unused_variable_warning(ii);
+          ::lemon::ignore_unused_variable_warning(ed);
         }
       };
@@ -154,8 +154,8 @@
           e = (i != INVALID);
 
-          ignore_unused_variable_warning(l);
-          ignore_unused_variable_warning(e);
-          ignore_unused_variable_warning(id);
-          ignore_unused_variable_warning(ed);
+          ::lemon::ignore_unused_variable_warning(l);
+          ::lemon::ignore_unused_variable_warning(e);
+          ::lemon::ignore_unused_variable_warning(id);
+          ::lemon::ignore_unused_variable_warning(ed);
         }
         _Path& p;
@@ -180,8 +180,8 @@
           e = (i != INVALID);
 
-          ignore_unused_variable_warning(l);
-          ignore_unused_variable_warning(e);
-          ignore_unused_variable_warning(id);
-          ignore_unused_variable_warning(ed);
+          ::lemon::ignore_unused_variable_warning(l);
+          ::lemon::ignore_unused_variable_warning(e);
+          ::lemon::ignore_unused_variable_warning(id);
+          ::lemon::ignore_unused_variable_warning(ed);
         }
         _Path& p;
Index: test/adaptors_test.cc
===================================================================
--- test/adaptors_test.cc	(revision 1158)
+++ test/adaptors_test.cc	(revision 1258)
@@ -66,5 +66,5 @@
   Digraph::Arc a2 = digraph.addArc(n1, n3);
   Digraph::Arc a3 = digraph.addArc(n2, n3);
-  ignore_unused_variable_warning(a3);
+  ::lemon::ignore_unused_variable_warning(a3);
 
   // Check the adaptor
@@ -101,5 +101,5 @@
   Adaptor::Arc a7 = adaptor.addArc(n1, n4);
   Adaptor::Arc a8 = adaptor.addArc(n1, n2);
-  ignore_unused_variable_warning(a6,a7,a8);
+  ::lemon::ignore_unused_variable_warning(a6,a7,a8);
 
   adaptor.erase(a1);
@@ -761,5 +761,5 @@
   Digraph::Arc a2 = digraph.addArc(n1, n3);
   Digraph::Arc a3 = digraph.addArc(n2, n3);
-  ignore_unused_variable_warning(a1,a2,a3);
+  ::lemon::ignore_unused_variable_warning(a1,a2,a3);
 
   checkGraphNodeList(adaptor, 6);
Index: test/bfs_test.cc
===================================================================
--- test/bfs_test.cc	(revision 1172)
+++ test/bfs_test.cc	(revision 1258)
@@ -62,5 +62,5 @@
   Arc e;
   int l, i;
-  ignore_unused_variable_warning(l,i);
+  ::lemon::ignore_unused_variable_warning(l,i);
   bool b;
   BType::DistMap d(G);
@@ -152,5 +152,5 @@
   Digraph g;
   bool b;
-  ignore_unused_variable_warning(b);
+  ::lemon::ignore_unused_variable_warning(b);
 
   bfs(g).run(Node());
Index: test/circulation_test.cc
===================================================================
--- test/circulation_test.cc	(revision 1172)
+++ test/circulation_test.cc	(revision 1258)
@@ -74,5 +74,5 @@
   VType v;
   bool b;
-  ignore_unused_variable_warning(v,b);
+  ::lemon::ignore_unused_variable_warning(v,b);
 
   typedef Circulation<Digraph, CapMap, CapMap, SupplyMap>
@@ -100,5 +100,5 @@
   const_circ_test.barrierMap(bar);
 
-  ignore_unused_variable_warning(fm);
+  ::lemon::ignore_unused_variable_warning(fm);
 }
 
Index: test/connectivity_test.cc
===================================================================
--- test/connectivity_test.cc	(revision 1158)
+++ test/connectivity_test.cc	(revision 1258)
@@ -69,5 +69,5 @@
     Graph g(d);
     Digraph::Node n = d.addNode();
-    ignore_unused_variable_warning(n);
+    ::lemon::ignore_unused_variable_warning(n);
 
     check(stronglyConnected(d), "This digraph is strongly connected");
@@ -247,5 +247,5 @@
     Digraph::Node watch = d.addNode();
     Digraph::Node pants = d.addNode();
-    ignore_unused_variable_warning(watch);
+    ::lemon::ignore_unused_variable_warning(watch);
 
     d.addArc(socks, shoe);
Index: test/dfs_test.cc
===================================================================
--- test/dfs_test.cc	(revision 1172)
+++ test/dfs_test.cc	(revision 1258)
@@ -68,5 +68,5 @@
   int l, i;
   bool b;
-  ignore_unused_variable_warning(l,i,b);
+  ::lemon::ignore_unused_variable_warning(l,i,b);
 
   DType::DistMap d(G);
@@ -154,5 +154,5 @@
   Digraph g;
   bool b;
-  ignore_unused_variable_warning(b);
+  ::lemon::ignore_unused_variable_warning(b);
 
   dfs(g).run(Node());
Index: test/digraph_test.cc
===================================================================
--- test/digraph_test.cc	(revision 1157)
+++ test/digraph_test.cc	(revision 1257)
@@ -61,5 +61,5 @@
       a3 = G.addArc(n2, n3),
       a4 = G.addArc(n2, n3);
-  ignore_unused_variable_warning(a2,a3,a4);
+  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
 
   checkGraphNodeList(G, 3);
@@ -90,5 +90,5 @@
   Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n2, n1),
       a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
-  ignore_unused_variable_warning(a1,a2,a3,a4);
+  ::lemon::ignore_unused_variable_warning(a1,a2,a3,a4);
 
   Node n4 = G.split(n2);
@@ -124,5 +124,5 @@
       a3 = G.addArc(n4, n3), a4 = G.addArc(n4, n3),
       a5 = G.addArc(n2, n4);
-  ignore_unused_variable_warning(a1,a2,a3,a5);
+  ::lemon::ignore_unused_variable_warning(a1,a2,a3,a5);
 
   checkGraphNodeList(G, 4);
@@ -204,5 +204,5 @@
       a3 = G.addArc(n4, n3), a4 = G.addArc(n3, n1),
       a5 = G.addArc(n2, n4);
-  ignore_unused_variable_warning(a2,a3,a4,a5);
+  ::lemon::ignore_unused_variable_warning(a2,a3,a4,a5);
 
   // Check arc deletion
@@ -252,5 +252,5 @@
   Arc a1 = G.addArc(n1, n2), a2 = G.addArc(n2, n1),
       a3 = G.addArc(n2, n3), a4 = G.addArc(n2, n3);
-  ignore_unused_variable_warning(a1,a2,a3,a4);
+  ::lemon::ignore_unused_variable_warning(a1,a2,a3,a4);
 
   typename Digraph::Snapshot snapshot(G);
@@ -341,5 +341,5 @@
     e1 = g.addArc(n1, n2),
     e2 = g.addArc(n2, n3);
-  ignore_unused_variable_warning(e2);
+  ::lemon::ignore_unused_variable_warning(e2);
 
   check(g.valid(n1), "Wrong validity check");
Index: test/dijkstra_test.cc
===================================================================
--- test/dijkstra_test.cc	(revision 1172)
+++ test/dijkstra_test.cc	(revision 1258)
@@ -66,5 +66,5 @@
   int i;
   bool b;
-  ignore_unused_variable_warning(l,i,b);
+  ::lemon::ignore_unused_variable_warning(l,i,b);
 
   DType::DistMap d(G);
@@ -165,5 +165,5 @@
   Digraph g;
   bool b;
-  ignore_unused_variable_warning(b);
+  ::lemon::ignore_unused_variable_warning(b);
 
   dijkstra(g,LengthMap()).run(Node());
Index: test/edge_set_test.cc
===================================================================
--- test/edge_set_test.cc	(revision 1158)
+++ test/edge_set_test.cc	(revision 1258)
@@ -45,10 +45,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ignore_unused_variable_warning(ga1);
+  ::lemon::ignore_unused_variable_warning(ga1);
 
   ArcSet arc_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ignore_unused_variable_warning(ga2);
+  ::lemon::ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(arc_set, 2);
@@ -78,5 +78,5 @@
     a3 = arc_set.addArc(n2, n3),
     a4 = arc_set.addArc(n2, n3);
-  ignore_unused_variable_warning(a2,a3,a4);
+  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
 
   checkGraphNodeList(arc_set, 3);
@@ -115,10 +115,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ignore_unused_variable_warning(ga1);
+  ::lemon::ignore_unused_variable_warning(ga1);
 
   ArcSet arc_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ignore_unused_variable_warning(ga2);
+  ::lemon::ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(arc_set, 2);
@@ -148,5 +148,5 @@
     a3 = arc_set.addArc(n2, n3),
     a4 = arc_set.addArc(n2, n3);
-  ignore_unused_variable_warning(a2,a3,a4);
+  ::lemon::ignore_unused_variable_warning(a2,a3,a4);
 
   checkGraphNodeList(arc_set, 3);
@@ -199,10 +199,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ignore_unused_variable_warning(ga1);
+  ::lemon::ignore_unused_variable_warning(ga1);
 
   EdgeSet edge_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ignore_unused_variable_warning(ga2);
+  ::lemon::ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(edge_set, 2);
@@ -241,5 +241,5 @@
     e3 = edge_set.addEdge(n2, n3),
     e4 = edge_set.addEdge(n2, n3);
-  ignore_unused_variable_warning(e2,e3,e4);
+  ::lemon::ignore_unused_variable_warning(e2,e3,e4);
 
   checkGraphNodeList(edge_set, 3);
@@ -287,10 +287,10 @@
 
   Digraph::Arc ga1 = digraph.addArc(n1, n2);
-  ignore_unused_variable_warning(ga1);
+  ::lemon::ignore_unused_variable_warning(ga1);
 
   EdgeSet edge_set(digraph);
 
   Digraph::Arc ga2 = digraph.addArc(n2, n1);
-  ignore_unused_variable_warning(ga2);
+  ::lemon::ignore_unused_variable_warning(ga2);
 
   checkGraphNodeList(edge_set, 2);
@@ -329,5 +329,5 @@
     e3 = edge_set.addEdge(n2, n3),
     e4 = edge_set.addEdge(n2, n3);
-  ignore_unused_variable_warning(e2,e3,e4);
+  ::lemon::ignore_unused_variable_warning(e2,e3,e4);
 
   checkGraphNodeList(edge_set, 3);
Index: test/euler_test.cc
===================================================================
--- test/euler_test.cc	(revision 1158)
+++ test/euler_test.cc	(revision 1258)
@@ -102,5 +102,5 @@
     Graph g(d);
     Digraph::Node n = d.addNode();
-    ignore_unused_variable_warning(n);
+    ::lemon::ignore_unused_variable_warning(n);
   
     checkDiEulerIt(d);
@@ -191,5 +191,5 @@
     Digraph::Node n4 = d.addNode();
     Digraph::Node n5 = d.addNode();
-    ignore_unused_variable_warning(n0,n4,n5);
+    ::lemon::ignore_unused_variable_warning(n0,n4,n5);
 
     d.addArc(n1, n2);
Index: test/gomory_hu_test.cc
===================================================================
--- test/gomory_hu_test.cc	(revision 1172)
+++ test/gomory_hu_test.cc	(revision 1258)
@@ -69,5 +69,5 @@
   Value v;
   int d;
-  ignore_unused_variable_warning(v,d);
+  ::lemon::ignore_unused_variable_warning(v,d);
 
   GomoryHu<Graph, CapMap> gh_test(g, cap);
Index: test/graph_test.cc
===================================================================
--- test/graph_test.cc	(revision 1157)
+++ test/graph_test.cc	(revision 1257)
@@ -64,5 +64,5 @@
   Edge e2 = G.addEdge(n2, n1),
        e3 = G.addEdge(n2, n3);
-  ignore_unused_variable_warning(e2,e3);
+  ::lemon::ignore_unused_variable_warning(e2,e3);
 
   checkGraphNodeList(G, 3);
@@ -97,5 +97,5 @@
        e3 = G.addEdge(n2, n3), e4 = G.addEdge(n1, n4),
        e5 = G.addEdge(n4, n3);
-  ignore_unused_variable_warning(e1,e3,e4,e5);
+  ::lemon::ignore_unused_variable_warning(e1,e3,e4,e5);
 
   checkGraphNodeList(G, 4);
@@ -177,5 +177,5 @@
        e3 = G.addEdge(n2, n3), e4 = G.addEdge(n1, n4),
        e5 = G.addEdge(n4, n3);
-  ignore_unused_variable_warning(e1,e3,e4,e5);
+  ::lemon::ignore_unused_variable_warning(e1,e3,e4,e5);
 
   // Check edge deletion
@@ -218,5 +218,5 @@
   Edge e1 = G.addEdge(n1, n2), e2 = G.addEdge(n2, n1),
        e3 = G.addEdge(n2, n3);
-  ignore_unused_variable_warning(e1,e2,e3);
+  ::lemon::ignore_unused_variable_warning(e1,e2,e3);
 
   checkGraphNodeList(G, 3);
@@ -367,5 +367,5 @@
     e1 = g.addEdge(n1, n2),
     e2 = g.addEdge(n2, n3);
-  ignore_unused_variable_warning(e2);
+  ::lemon::ignore_unused_variable_warning(e2);
 
   check(g.valid(n1), "Wrong validity check");
@@ -497,5 +497,5 @@
 
   Node n = G.nodeFromId(dim);
-  ignore_unused_variable_warning(n);
+  ::lemon::ignore_unused_variable_warning(n);
 
   for (NodeIt n(G); n != INVALID; ++n) {
Index: test/hao_orlin_test.cc
===================================================================
--- test/hao_orlin_test.cc	(revision 1172)
+++ test/hao_orlin_test.cc	(revision 1258)
@@ -67,5 +67,5 @@
   CutMap cut;
   Value v;
-  ignore_unused_variable_warning(v);
+  ::lemon::ignore_unused_variable_warning(v);
 
   HaoOrlin<Digraph, CapMap> ho_test(g, cap);
Index: test/maps_test.cc
===================================================================
--- test/maps_test.cc	(revision 1158)
+++ test/maps_test.cc	(revision 1258)
@@ -81,5 +81,5 @@
     NullMap<A,B> map1;
     NullMap<A,B> map2 = map1;
-    ignore_unused_variable_warning(map2);
+    ::lemon::ignore_unused_variable_warning(map2);
     map1 = nullMap<A,B>();
   }
@@ -92,5 +92,5 @@
     ConstMap<A,B> map2 = B();
     ConstMap<A,B> map3 = map1;
-    ignore_unused_variable_warning(map2,map3);
+    ::lemon::ignore_unused_variable_warning(map2,map3);
 
     map1 = constMap<A>(B());
@@ -99,5 +99,5 @@
     ConstMap<A,C> map4(C(1));
     ConstMap<A,C> map5 = map4;
-    ignore_unused_variable_warning(map5);
+    ::lemon::ignore_unused_variable_warning(map5);
 
     map4 = constMap<A>(C(2));
@@ -121,5 +121,5 @@
     IdentityMap<A> map1;
     IdentityMap<A> map2 = map1;
-    ignore_unused_variable_warning(map2);
+    ::lemon::ignore_unused_variable_warning(map2);
 
     map1 = identityMap<A>();
@@ -182,7 +182,7 @@
     checkConcept<ReadMap<B,double>, CompMap>();
     CompMap map1 = CompMap(DoubleMap(),ReadMap<B,A>());
-    ignore_unused_variable_warning(map1);
+    ::lemon::ignore_unused_variable_warning(map1);
     CompMap map2 = composeMap(DoubleMap(), ReadMap<B,A>());
-    ignore_unused_variable_warning(map2);
+    ::lemon::ignore_unused_variable_warning(map2);
 
     SparseMap<double, bool> m1(false); m1[3.14] = true;
@@ -197,7 +197,7 @@
     checkConcept<ReadMap<A,double>, CombMap>();
     CombMap map1 = CombMap(DoubleMap(), DoubleMap());
-    ignore_unused_variable_warning(map1);
+    ::lemon::ignore_unused_variable_warning(map1);
     CombMap map2 = combineMap(DoubleMap(), DoubleMap(), std::plus<double>());
-    ignore_unused_variable_warning(map2);
+    ::lemon::ignore_unused_variable_warning(map2);
 
     check(combineMap(constMap<B,int,2>(), identityMap<B>(), &binc)[B()] == 3,
@@ -211,13 +211,13 @@
     FunctorToMap<F> map1;
     FunctorToMap<F> map2 = FunctorToMap<F>(F());
-    ignore_unused_variable_warning(map2);
+    ::lemon::ignore_unused_variable_warning(map2);
 
     B b = functorToMap(F())[A()];
-    ignore_unused_variable_warning(b);
+    ::lemon::ignore_unused_variable_warning(b);
 
     checkConcept<ReadMap<A,B>, MapToFunctor<ReadMap<A,B> > >();
     MapToFunctor<ReadMap<A,B> > map =
       MapToFunctor<ReadMap<A,B> >(ReadMap<A,B>());
-    ignore_unused_variable_warning(map);
+    ::lemon::ignore_unused_variable_warning(map);
 
     check(functorToMap(&func)[A()] == 3,
@@ -237,7 +237,7 @@
       ConvertMap<ReadMap<double, int>, double> >();
     ConvertMap<RangeMap<bool>, int> map1(rangeMap(1, true));
-    ignore_unused_variable_warning(map1);
+    ::lemon::ignore_unused_variable_warning(map1);
     ConvertMap<RangeMap<bool>, int> map2 = convertMap<int>(rangeMap(2, false));
-    ignore_unused_variable_warning(map2);
+    ::lemon::ignore_unused_variable_warning(map2);
 
   }
Index: test/matching_test.cc
===================================================================
--- test/matching_test.cc	(revision 1172)
+++ test/matching_test.cc	(revision 1258)
@@ -146,5 +146,5 @@
   MaxMatching<Graph>::Status stat =
     const_mat_test.status(n);
-  ignore_unused_variable_warning(stat);
+  ::lemon::ignore_unused_variable_warning(stat);
   const MaxMatching<Graph>::StatusMap& smap =
     const_mat_test.statusMap();
Index: test/min_cost_arborescence_test.cc
===================================================================
--- test/min_cost_arborescence_test.cc	(revision 1172)
+++ test/min_cost_arborescence_test.cc	(revision 1258)
@@ -92,5 +92,5 @@
   VType c;
   bool b;
-  ignore_unused_variable_warning(c,b);
+  ::lemon::ignore_unused_variable_warning(c,b);
   int i;
   CostMap cost;
@@ -128,6 +128,6 @@
   c = const_mcarb_test.dualValue(i);
 
-  ignore_unused_variable_warning(am);
-  ignore_unused_variable_warning(pm);
+  ::lemon::ignore_unused_variable_warning(am);
+  ::lemon::ignore_unused_variable_warning(pm);
 }
 
Index: test/preflow_test.cc
===================================================================
--- test/preflow_test.cc	(revision 1172)
+++ test/preflow_test.cc	(revision 1258)
@@ -87,5 +87,5 @@
   VType v;
   bool b;
-  ignore_unused_variable_warning(v,b);
+  ::lemon::ignore_unused_variable_warning(v,b);
 
   typedef Preflow<Digraph, CapMap>
@@ -116,5 +116,5 @@
   const_preflow_test.minCutMap(cut);
 
-  ignore_unused_variable_warning(fm);
+  ::lemon::ignore_unused_variable_warning(fm);
 }
 
Index: test/suurballe_test.cc
===================================================================
--- test/suurballe_test.cc	(revision 1172)
+++ test/suurballe_test.cc	(revision 1258)
@@ -108,5 +108,5 @@
   int f;
   VType c;
-  ignore_unused_variable_warning(f,c);
+  ::lemon::ignore_unused_variable_warning(f,c);
 
   c = const_suurb_test.totalLength();
@@ -120,6 +120,6 @@
   Path<Digraph> p = const_suurb_test.path(k);
 
-  ignore_unused_variable_warning(fm);
-  ignore_unused_variable_warning(pm);
+  ::lemon::ignore_unused_variable_warning(fm);
+  ::lemon::ignore_unused_variable_warning(pm);
 }
 
Index: test/time_measure_test.cc
===================================================================
--- test/time_measure_test.cc	(revision 1157)
+++ test/time_measure_test.cc	(revision 1257)
@@ -36,5 +36,5 @@
     {
       TimeStamp x(T);
-      ignore_unused_variable_warning(x);
+      ::lemon::ignore_unused_variable_warning(x);
     }
 }
